Log Warnings after 2022.1 update

Posted on
Wed May 11, 2022 2:56 pm
aldonc offline
Posts: 29
Joined: Jan 10, 2015

Log Warnings after 2022.1 update

Hi,
I'm getting Matplotlib warnings for 2 different chart types after the 2022.1 update The plugin reports itself as V2022.0.1.

-I have several multi ine charts and they are all giving the same log warning on updates:
Code: Select all
Matplotlib Warning              [Multiline-Sunrise] Height: Pixels / DPI can not be less than one. Coercing to one.
There is one error for each of the Multiline plots I have.

-I have one Battery plot (with 4 devices). I am getting a pretty large number (close to 100) of
Code: Select all
Matplotlib Warning              Using dummy battery data for testing.
It doesn't look like any of the charts are updating but wanted to check if the warning is something to worry about before I dig into the updates.

CORRECTION: the charts ARE updating so it seems to be working fine, just the Warning message.

thanks,
Aldon

Posted on
Wed May 11, 2022 4:13 pm
DaveL17 offline
User avatar
Posts: 6172
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Log Warnings after 2022.1 update

Sorry about that. The second error is on me. I inadvertently left some testing data active within the build I posted. I've uploaded a new build which solves that problem.

The former message is a warning that's telling me that the height value you've specified for the Multiline Sunrise chart when it's divided by the DPI setting is less that one -- I.e., height in pixels / DPI < 1, so I force the value to be 1. If that's not the case, you might have discovered another bug. Please check the settings for that chart and let me know if this is something that needs to be looked at (I don't recall making any changes to that bit of code).

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Wed May 11, 2022 4:36 pm
aldonc offline
Posts: 29
Joined: Jan 10, 2015

Re: Log Warnings after 2022.1 update

Thanks Dave, I don't see where to set the DPI setting - where is that? The chart height in Display Controls is 250.

I found it... BTW, the DPI setting that is reported in Preview for the created image is 200 which matches the config dialog.

Aldon

Posted on
Wed May 11, 2022 5:30 pm
DaveL17 offline
User avatar
Posts: 6172
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Log Warnings after 2022.1 update

I'm assuming by the name that it's a Multiline Text chart. Can you post the following information so that I can try to recreate your issue?

Plugin config:
Screen Shot 2022-05-11 at 6.24.05 PM-2.png
Screen Shot 2022-05-11 at 6.24.05 PM-2.png (229.23 KiB) Viewed 224 times


Device Display Controls:
Screen Shot 2022-05-11 at 6.24.42 PM-2.png
Screen Shot 2022-05-11 at 6.24.42 PM-2.png (179.01 KiB) Viewed 224 times

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Wed May 11, 2022 8:15 pm
aldonc offline
Posts: 29
Joined: Jan 10, 2015

Re: Log Warnings after 2022.1 update


Posted on
Thu May 12, 2022 5:08 am
DaveL17 offline
User avatar
Posts: 6172
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Log Warnings after 2022.1 update

Hi Aldon -- unfortunately, you've sent the same image twice. I still need the device config.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Thu May 12, 2022 8:11 am
aldonc offline
Posts: 29
Joined: Jan 10, 2015

Re: Log Warnings after 2022.1 update


Posted on
Thu May 12, 2022 1:08 pm
DaveL17 offline
User avatar
Posts: 6172
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Log Warnings after 2022.1 update

Perfect, thanks. I'll get on this ASAP.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Fri May 13, 2022 5:01 am
DaveL17 offline
User avatar
Posts: 6172
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Log Warnings after 2022.1 update

Try as I might, I can't reproduce the first warning. I have created a multiline text device with your settings, and get no warnings (which is not unexpected since the height/dpi is greater than 1). I added a bit of temporary logging and get this:

Code: Select all
   Matplotlib Warning              1.25
Which is obviously not less than 1. To give a bit of context for this, Matplotlib thinks in terms of column inches (for use in printed papers, journals, etc.) and not in terms of pixels/dpi, so I convert these values under the hood.

Please right-click on one of the devices and select "Print Device Details to Event Log" and share the result

Also, please share the contents of the following file:

Code: Select all
/Library/Application Support/Perceptive Automation/Indigo 2022.1/Preferences/Plugins/com.fogbert.indigoplugin.matplotlib.indiPref
If you're not comfortable sharing this data on the forum, please feel free to use DM.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Posted on
Fri May 13, 2022 9:03 am
aldonc offline
Posts: 29
Joined: Jan 10, 2015

Re: Log Warnings after 2022.1 update

DM'd info to you.

Posted on
Fri May 13, 2022 12:08 pm
DaveL17 offline
User avatar
Posts: 6172
Joined: Aug 20, 2013
Location: Chicago, IL, USA

Re: Log Warnings after 2022.1 update

Thanks. I'll take a look.

I came here to drink milk and kick ass....and I've just finished my milk.

[My Plugins] - [My Forums]

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest